<template>
  <footer class="footer">
    <div class="footer-brand">
      <RLink to="/">
        <img class="footer-brand-logo" src="../assets/hacknizer-footer.png" alt="../assets/hacknizer-footer.png">
      </RLink>
      <div>
        Uma plataforma para organizar e sediar hackathons
      </div>
    </div>
    <div class="footer-contact">
      <div class="footer-contact-text">
        Nossos contatos
      </div>
      
      <div class="footer-contact-list">
        <a href="https://gitlab.com/uspcodelab/projects/hacknizer" 
           class="footer-contact-link">
          <div class="footer-contact-link-frame">
            <fas :icon="['fab','gitlab']" />
          </div>
        </a>
      </div>
    </div>
  </footer>
</template>

<script>
import RLink from '@/components/RLink.vue';

export default {
  components: {
    RLink
 
  },
  props: {
    logoSrc: {
      type: String,
      required: true
    },
    logoAlt: {
      type: String,
      required: true
    }
  },
};
</script>

<style lang="scss">
.footer{
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
}

.footer-brand{
  max-width: 20rem;
  padding: 3rem;

}

.footer-brand-logo{
  max-height: 5rem;
  margin-bottom: .5rem;
}

.footer-contact-list{
  display:flex;
  justify-content: center;
}

.footer-contact{
  padding: 3rem;
  
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.footer-contact-text{
  font-size: 1.25rem;
}

.footer-contact-link-frame{
  width: 3rem;
  height: 3rem;
  border-radius: 100%;

  margin: 1rem .5rem 0;

  font-size: 1.5rem;

  background-color: #463a8c;
  color: white;

  display: flex;
  align-items: center;
  justify-content: center;
}

.footer-contact-link-frame:hover{
  opacity: .8;
}

</style>
